Loading...
Searching...
No Matches
pdftron::PDF::ViewerOptimizedOptions Class Reference

`#include <ViewerOptimizedOptions.h>`

## Public Member Functions
| ViewerOptimizedOptions ()
void | SetThumbnailRenderingThreshold (UInt32 threshold)
void | SetMinimumInitialThumbnails (UInt32 initial_thumbs)
void | SetThumbnailSize (UInt32 size)
void | SetOverprint (PDFRasterizer::OverprintPreviewMode mode)

## Detailed Description

Definition at line 18 of file ViewerOptimizedOptions.h.

## Constructor & Destructor Documentation

## ◆ ViewerOptimizedOptions()

pdftron::PDF::ViewerOptimizedOptions::ViewerOptimizedOptions | ( |  | ) |

## Member Function Documentation

## ◆ SetMinimumInitialThumbnails()

void pdftron::PDF::ViewerOptimizedOptions::SetMinimumInitialThumbnails | ( | UInt32 | initial_thumbs | ) |

Set the number of pages starting from the first for which to guarantee thumbnails regardless of page complexity. This can help improve the viewing experience on the first few pages without increasing the file size dramatically. If this number is greater than the number of pages in the document all of the pages will have thumbnails.

Parameters

  initial_thumbs | The number of pages starting with the first which are guaranteed to have thumbnails. The default value is 1, which means only the first page is guaranteed to have a thumbnail.

## ◆ SetOverprint()

void pdftron::PDF::ViewerOptimizedOptions::SetOverprint | ( | PDFRasterizer::OverprintPreviewMode | mode | ) |

Enable or disable support for overprint and overprint simulation in generated thumbnails. Overprint is a device dependent feature and the results will vary depending on the output color space and supported colorants (i.e. CMYK, CMYK+spot, RGB, etc). Default is e_op_pdfx_on.

Parameters

  mode | e_op_on: always enabled; e_op_off: always disabled; e_op_pdfx_on: enabled for PDF/X files only.

## ◆ SetThumbnailRenderingThreshold()

void pdftron::PDF::ViewerOptimizedOptions::SetThumbnailRenderingThreshold | ( | UInt32 | threshold | ) |

For any pages that are not forced to include thumbnails this function adjusts whether we should include them depending on the complexity of the page. This can be used to include fewer or more thumbnails as required by the use case. In particular reducing this value will tend to increase the number of page thumbnails included and vice versa.

Parameters

  threshold | A number from 0 (include all thumbnails) to 100 (include only the first thumbnail) representing the complexity at which SaveViewerOptimized would include the thumbnail. The default value is 50.

## ◆ SetThumbnailSize()

void pdftron::PDF::ViewerOptimizedOptions::SetThumbnailSize | ( | UInt32 | size | ) |

The maximum allowed length for the thumbnail's height/width. The default thumbnail size is 1024.

Parameters

  size | the maximum dimension (width or height) that thumbnails will have.

The documentation for this class was generated from the following file:

- PDF/ViewerOptimizedOptions.h